#include <iostream>
#include <stdlib.h> 
using namespace std;

int main(int argc, char** argv) {
	char slova[2];
	gets(slova);
	int n,m;
	cin>>n>>m;
	if(n==m || (abs(n-m))==1)
	{
		if(n>m)
		{
			cout<<slova[0];
			for(int i;i<m;i++)
			{
				cout<<slova[1];
				cout<<slova[0];
			}
		}
		else if(n<m){
			cout<<slova[1];
			for(int i;i<n;i++)
			{
				cout<<slova[0];
				cout<<slova[1];
			}
		}
		else{
			for(int i;i<m;i++)
			{
				cout<<slova[1];
				cout<<slova[0];
			}
		}
	}
	else{
		cout<<"nemoguce";
	}
	return 0;
}